package yourdomain.configs
{
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.framework.api.IConfig;
	
	import yourdomain.views.components.HelloSprite;
	import yourdomain.views.mediators.HelloSpriteMediator;
	import yourdomain.views.mediators.StageMediator;

	public class MediatorsConfig implements IConfig
	{
		[Inject]
		public var mediatorMap:IMediatorMap;
		
		public function configure():void
		{
			mediatorMap.map(HelloSprite).toMediator(HelloSpriteMediator);
			mediatorMap.map(HelloFlashPorted).toMediator(StageMediator);
		}
	}
}