package yourdomain.views.mediators
{
	import robotlegs.bender.bundles.mvcs.Mediator;
	
	import yourdomain.controllers.events.HelloEvent;

	public class StageMediator extends Mediator
	{
		[Inject]
		public var view:HelloFlashPorted;

		override public function initialize():void
		{
			trace("StageMediator.initialize()");
			addViewListener(HelloEvent.SPRITE_DROP, dispatch, HelloEvent);
			addViewListener(HelloEvent.SPRITE_SCALE, dispatch, HelloEvent);
			
			addContextListener(HelloEvent.STAGE_ADD_SPRITE, onAddSprite, HelloEvent);
		}

		private function onAddSprite(event:HelloEvent):void
		{
			trace("StageMediator.onAddSprite(event)");
			view.addSprite();
		}
	}
}
