package yourdomain.controllers.events
{
	import flash.events.Event;

	public class HelloEvent extends Event
	{
		public static const STAGE_ADD_SPRITE:String	 = "stageAddSprite";
		public static const SPRITE_SCALE:String		 = "spriteScale";
		public static const SPRITE_DROP:String		 = "spriteDrop"
		public static const SPRITE_DIVIDE:String	 = "spriteDivide";

		private var _payload:Object;

		public function HelloEvent(type:String, payload:Object=null, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			_payload = payload;
		}

		public function get payload():Object
		{
			return _payload;
		}

		override public function clone():Event
		{
			return new HelloEvent(type, payload, bubbles, cancelable);
		}
	}
}
